paginatedApplications
Returns one page of the company's Applications, filtered and sorted on the server
paginatedApplications(
companyId: ID!
page: Int
limit: Int
search: String
sortBy: String
descending: Boolean
): ApplicationPaginatedCollection!
Arguments
paginatedApplications.companyId ● ID! non-null scalar
paginatedApplications.page ● Int scalar
paginatedApplications.limit ● Int scalar
paginatedApplications.search ● String scalar
Partial match on the Application name
paginatedApplications.sortBy ● String scalar
One of name, updated_at, assets_count, risk_score; anything else sorts by name
paginatedApplications.descending ● Boolean scalar
Type
ApplicationPaginatedCollection object
Example request
This generated query uses placeholders for required values. Replace them with values available to your API key before running it.
Run the companies query first and use data.companies.collection[].id as companyId.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetPaginatedApplications($companyId: ID!) {\n paginatedApplications(companyId: $companyId) { collection { id name assets { __typename } } metadata { currentPage limitValue totalCount } }\n}","variables":{"companyId":"<company_id>"}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "query GetPaginatedApplications($companyId: ID!) {\n paginatedApplications(companyId: $companyId) { collection { id name assets { __typename } } metadata { currentPage limitValue totalCount } }\n}",
variables: {
"companyId": "<company_id>"
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "query GetPaginatedApplications($companyId: ID!) {\n paginatedApplications(companyId: $companyId) { collection { id name assets { __typename } } metadata { currentPage limitValue totalCount } }\n}",
'variables': json.loads("{\"companyId\":\"<company_id>\"}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contributeResources
By exploring our content, you'll find resources that will enhance your understanding of the importance of a Security Application Program.
Conviso Blog: Explore our blog, which offers a collection of articles and posts covering a wide range of AppSec topics. The content on the blog is primarily in English.
Conviso's YouTube Channel: Access a wealth of informative videos covering various topics related to AppSec. Please note that the content is primarily in Portuguese.